List staff member product rates
Per-person per-product rate structure (legacy musician_product_rates in gig language): standalone/addon amounts and weekend modifiers. Unique per (staff member, product).
Query Parameters
- Type: integerlimitmin:0max:200
Page size, 50 by default, 200 at most.
- Type: integeroffsetmin:0
Records to skip.
- Type: stringsort
Comma-separated fields; prefix with
-for descending. Sortable: staffMemberId, productId, standaloneAmount, addonAmount, saturdayModifier, fridaySundayModifier, status, createdTime, lastEditedTime, id. Default: -createdTime. - Type: stringfields
Comma-separated subset of fields to return.
idis always included. - filter[staff
Member Id] Shorthand
filter[staffMemberId]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.- Type: stringFormat: uuid
Shorthand
filter[staffMemberId]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.
- filter[product
Id] Shorthand
filter[productId]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.- Type: stringFormat: uuid
Shorthand
filter[productId]=valuemeans equals. Operators: equals, does_not_equal, is_empty, is_not_empty.
- filter[standalone
Amount] Shorthand
filter[standaloneAmount]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[standaloneAmount]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[addon
Amount] Shorthand
filter[addonAmount]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[addonAmount]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[saturday
Modifier] Shorthand
filter[saturdayModifier]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[saturdayModifier]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[friday
Sunday Modifier] Shorthand
filter[fridaySundayModifier]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.- Type: number
Shorthand
filter[fridaySundayModifier]=valuemeans equals. Operators: equals, does_not_equal, greater_than, less_than, greater_than_or_equal_to, less_than_or_equal_to, is_empty, is_not_empty.
- filter[status]
Shorthand
filter[status]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.- Type: string
Shorthand
filter[status]=valuemeans equals. Operators: equals, does_not_equal, contains, does_not_contain, starts_with, ends_with, is_empty, is_not_empty.
- filter[created
Time] Shorthand
filter[createdTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[createdTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
- filter[last
Edited Time] Shorthand
filter[lastEditedTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.- Type: stringFormat: date-time
Shorthand
filter[lastEditedTime]=valuemeans equals. Operators: equals, before, after, on_or_before, on_or_after, is_empty, is_not_empty.
Responses
- application/json
- application/json
- application/json
- application/json
curl 'https://api.weddingoperatingsystems.com/api/v1/staff-member-product-rates?limit=50&offset=0&sort=-createdTime' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"staffMemberId": null,
"productId": null,
"standaloneAmount": null,
"addonAmount": null,
"saturdayModifier": null,
"fridaySundayModifier": null,
"status": null,
"createdTime": "2026-09-30T06:22:05.753Z",
"lastEditedTime": "2026-09-30T06:22:05.753Z"
}
],
"meta": {
"total": 1,
"limit": 1,
"offset": 1
}
}